=== debian/changelog ===
ros-rolling-uncrustify-vendor (2.0.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 18:30:50 -0000
