=== debian/control ===
Source: ros-rolling-uncrustify-vendor
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), git, ros-rolling-ament-cmake, uncrustify, ros-rolling-ros-workspace
Homepage: https://github.com/uncrustify/uncrustify
Standards-Version: 3.9.2

Package: ros-rolling-uncrustify-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uncrustify, ros-rolling-ros-workspace
Description: Wrapper around uncrustify, providing nothing but a dependency on uncrustify, on some systems.
 On others, it provides an ExternalProject build of uncrustify.
