=== debian/changelog ===
ros-rolling-uncrustify-vendor (2.2.1-1jammy) jammy; urgency=high

  * Switch to ament_cmake_vendor_package (#34 <https://github.com/ament/uncrustify_vendor/issues/34>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.2.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.1.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#31 <https://github.com/ament/uncrustify_vendor/issues/31>)
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.1.1-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.1.0-1jammy) jammy; urgency=high

  * 2.1.0
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.0.2-1jammy) jammy; urgency=high

  * Use git hash for uncrustify_vendor (#30 <https://github.com/ament/uncrustify_vendor/issues/30>)
    CMake ExternalProject_add recommends using a specific git hash with
    GIT_TAG because branches and tags can be updated to point to different
    references.
    https://cmake.org/cmake/help/latest/module/ExternalProject.html
  * Contributors: Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.0.1-1jammy) jammy; urgency=high

  * Quiet down build warning on Windows. (#29 <https://github.com/ament/uncrustify_vendor/issues/29>)
    When building on Windows, uncrustify doesn't seem to use the
    CMAKE_BUILD_TYPE variable and thus prints a warning about it.
    Quiet that down with --no-warn-unused-cli.
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-uncrustify-vendor (2.0.0-1jammy) jammy; urgency=high

  * Update to uncrustify 0.72 (#27 <https://github.com/ament/uncrustify_vendor/issues/27>)
    * Update to uncrustify 0.72
  * Update maintainers to Audrow Nash (#25 <https://github.com/ament/uncrustify_vendor/issues/25>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-uncrustify-vendor (1.5.3-1jammy) jammy; urgency=high

  * Add an override flag to force vendored build (#23 <https://github.com/ament/uncrustify_vendor/issues/23>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-uncrustify-vendor (1.5.2-1jammy) jammy; urgency=high

  * Revert "Add git checkout before patching."
    This reverts commit c61408170a84ed6bc31e641fc8a2467ca5830884.
    This is no longer necessary because of UDPATE_DISCONNECTED, which will
    make the download step act more like using a URL instead of a
    GIT_REPOSITORY.
  * Make git upstream act more like tar (#22 <https://github.com/ament/uncrustify_vendor/issues/22>)
    Some of our problems with using GIT_REPOSITORY with a GIT_TAG stem from
    CMake trying to "update" the repository each time the target is
    evaluated. This would be important if not for the fact that we're
    targeting a specific REF, so the repository will never be out-of-date
    unless we change the ref, which would invalidate the target anyway.
    We can safely use UPDATE_DISCONNECTED to block the update step from
    invalidating the source target, which should prevent downstream targets
    like patch, build, and install from being re-triggered unnecessarily.
    The one caveat to this is that a change to GIT_TAG doesn't invalidate
    the target like a change to GIT_REPOSITORY or URL would. To work around
    this, I updated the target name to contain the ref instead of the
    supposed version number, which will then force a new build if we change
    the ref in the future. This is also more correct, since it would be easy
    for the ref and target name to get out of sync.
  * Revert "Use explicit INSTALL_COMMAND to suppress DESTDIR"
    This reverts commit ca32b1eb8f77b982be9d82fc186bd7d98ce2c45a.
    Evidently this wasn't working correctly on Windows.
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 01 Feb 2021 14:42:00 -0000

ros-rolling-uncrustify-vendor (1.5.1-1jammy) jammy; urgency=high

  * Use explicit INSTALL_COMMAND to suppress DESTDIR (#21 <https://github.com/ament/uncrustify_vendor/issues/21>)
    The DESTDIR environment variable is used on UNIX systems during an
    invocation of 'make install' to specify an alternate directory prefix
    for installation paths. Since this isn't a cross-platform mechanism,
    the CMAKE_INSTALL_PREFIX CMake variable can also be used.
    Unfortunately, if both of these are specified, they will both be
    applied. This isn't typically a problem, but can cause problems for the
    installation phase of ExternalProject_Add if the external project is
    built during an invocation of 'make install' with DESTDIR set.
    Since the CMAKE_INSTALL_PREFIX method is employed by the call to
    ExternalProject_Add instead of DESTDIR, we should specifically suppress
    DESTDIR if it is set so that it doesn't interfere with the installation
    of the external project to the staging directory.
  * Add git checkout before patching. (#20 <https://github.com/ament/uncrustify_vendor/issues/20>)
    This ensures that on subsequent runs, if the patch step is run
    again it will successfully repatch.
  * Contributors: Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 01 Feb 2021 11:26:00 -0000

ros-rolling-uncrustify-vendor (1.5.0-1jammy) jammy; urgency=high


