=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-rolling-uncrustify-vendor
 Section: misc
 Priority: optional
-Maintainer: Audrow Nash <audrow@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), git, ros-rolling-ament-cmake, uncrustify, ros-rolling-ros-workspace
+Maintainer: Scott K Logan <scott@openrobotics.org>
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, uncrustify, ros-rolling-ros-workspace
 Homepage: https://github.com/uncrustify/uncrustify
 Standards-Version: 3.9.2
